#define IREQ_MAX_NAME_LEN 30
#define IREQ_MAX_USERNAME_LEN 10
struct initial_request {
  int length;     /* length of this structure, including length */
  int projectnumber;
  int studentid1;
  int studentid2;
  char name1[IREQ_MAX_NAME_LEN];
  char name2[IREQ_MAX_NAME_LEN];
  char username1[IREQ_MAX_USERNAME_LEN];
  char username2[IREQ_MAX_USERNAME_LEN];
  char filename[25];
};

struct initial_response {
  int length;    /* length of this structure, including length */
  int error; 
};


struct upload_request {
  int file_length; /* length of the file to come (not including length) */
  char content[1]; /* the file will be longer than 1; no real need to 
											use the structure for the upload */
};

struct upload_response {
  int length;     /* length of this structure, including length */
  int passed;
  int percentage;
};
